# Commands

All of the following docs begin with a Python snippet that imports the `cli` function from `mailman.testing.documentation` and sets `command` to an invocation of that function. Then they invoke example commands by calling `command` with an argument of the command line.

This is done to facilitate the testing framework for doc tests which actually runs all the Python snippets in the docs to verify they work as expected. In practice, one just runs the command line directly.

- Adding members
  - Usage
  - Examples
- Managing Owners and Moderators
  - Usage
  - Examples
- Generating aliases
- Changing addresses
  - Usage
  - Examples
- Display configuration values
- Starting and stopping Mailman
  - Set up
  - Starting
  - Stopping
- Command line list creation
  - Setting the owner
  - Setting the language
  - Notifications
- Deleting members
  - Usage
  - Examples
- Sending Digests
- The ‘echo’ command
- The ‘end’ command
- Finding members
  - Usage
  - Examples
- Poll the NNTP Server For New Messages
- Email command help
- Importing list data
- Getting information
- Command line message injection
  - Standard input
  - Metadata
- Command line list display
  - Names
  - Descriptions
  - Less verbosity
  - Specific domain
  - Advertised lists
- Managing members
  - Listing members
    - Filtering on delivery mode
    - Filtering on delivery status
- Membership changes via email
  - Joining a mailing list
    - No address to join
    - Joining the sender
    - Joining a second list
  - Leaving a mailing list
  - Confirmations
- Notify Admins Of Pending Requests
- Dumping queue files
  - Pretty printing
- Command line list removal
- Operating on mailing lists
  - Getting detailed help
  - Running a function
  - Passing arguments
  - Multiple lists
  - Interactive use
    - IPython
- Getting status
- Syncing members
  - Usage
  - Examples
- Unshunt
  - Return to the original queue
  - Discarding all shunted messages
- Printing the version
- Listing membership via email